import { createAction, props } from '@ngrx/store';

import {
  UserPasswordSetRequest,
  UserPasswordSetResponse
} from '@ucap-webmessenger/protocol-service';

export const userPasswordSet = createAction(
  '[Account::Authentication] User Password Set',
  props<{ req: UserPasswordSetRequest }>()
);

export const userPasswordSetSuccess = createAction(
  '[Account::Authentication] User Password Set Success',
  props<{
    res: UserPasswordSetResponse;
  }>()
);

export const userPasswordSetFailure = createAction(
  '[Account::Authentication] User Password Set Failure',
  props<{ error: any }>()
);
